Warning, /sdk/kdesrc-build/kf6-kdepim-build-include is written in an unsupported language. File is not indexed.

0001 # Module definitions for building kdepim framework
0002 
0003 # Usage: Write your own kdesrc-buildrc with only a "global" section
0004 # (including "branch-group kf5-qt5")
0005 # then include this file, like this:
0006 #
0007 # include extragear/utils/kdesrc-build/kf5-frameworks-build-include
0008 # include extragear/utils/kdesrc-build/kf5-applications-build-include
0009 # (or using full paths)
0010 #
0011 # You can then add additional modules if desired.
0012 #
0013 # This file uses "branch groups" to decide which git branch to use. If you
0014 # want to add your application here please be sure to update
0015 # repo-metadata repo's "dependencies/logical-module-structure". It includes a simple
0016 # tool you can use to validate your change works (or just "kdesrc-build -p
0017 # your-module" and look for the right branch).
0018 
0019 module-set akonadi
0020     repository kde-projects
0021     use-modules akonadi
0022 end module-set
0023 
0024 #module libkolabxml
0025 #    repository https://git.kolab.org/diffusion/LKX/libkolabxml.git
0026 #    cmake-options -DQT5_BUILD=true
0027 #    branch libkolabxml-1.1
0028 #end module
0029 
0030 module-set kde-pim
0031     repository kde-projects
0032     cmake-options -DBUILD_TESTING=TRUE -DBUILD_WITH_QT6=ON -DEXCLUDE_DEPRECATED_BEFORE_AND_AT=5.99.0
0033 
0034     # modules not yet KF6-ready
0035     ignore-modules kmail-account-wizard zanshin 
0036 
0037     use-modules kde/pim libkgapi
0038 end module-set
0039 
0040 module-set kdepim-runtime
0041     repository kde-projects
0042     use-modules kdepim-runtime
0043 end module-set